package school_project.Utils;

import javafx.scene.layout.GridPane;
import javafx.scene.paint.Color;
import javafx.scene.paint.Paint;
import javafx.scene.shape.Rectangle;
import school_project.GameUI;
import school_project.Shape;

import java.util.ArrayList;

public class MatrixShape extends GridPane {
    public MatrixShape(){
        super();
    }
    public MatrixShape(Shape shape){
        super();
        boolean[][] shape_matrix = shape.getShape();
        for (int i = 0; i < shape_matrix.length; i++) {
            for (int j = 0; j < shape_matrix[i].length; j++) {
                if(shape_matrix[i][j]){
                    Rectangle _cell = new Rectangle(GameUI.SEGMENT_SIZE, GameUI.SEGMENT_SIZE);
                    add(_cell, j, i);
                }
            }
        }
    }

    public void setColor(Paint p) {
        getChildren().forEach(node -> {
            if(node instanceof Rectangle r){
                r.setFill(p);
                r.setStroke(Color.BLACK);
            }
        });
    }
}
